﻿using UnityEngine;
using System.Collections;

public class DetecWheel : MonoBehaviour {
	
	private float time;
	public WheelCollider carWheelFR;
	public WheelCollider carWheelFL;
	public WheelCollider carWheelBR;
	public WheelCollider carWheelBL;

	public WheelHit hitFR;
	public WheelHit hitFL;
	public WheelHit hitBR;
	public WheelHit hitBL;

	private bool isHitFR=false;
	private bool isHitFL=false;
	private bool isHitBR=false;
	private bool isHitBL=false;

	public static bool volcado;
	public bool ground;

	void Start(){
		volcado = false;
		ground = true;
	}

	void FixedUpdate () {
		isHitFR = carWheelFR.GetGroundHit (out hitFR);
		isHitFL = carWheelFL.GetGroundHit (out hitFL);
		isHitBR = carWheelBR.GetGroundHit (out hitBR);
		isHitBL = carWheelBL.GetGroundHit (out hitBL);



		if (CountDown.EndCount && CountDown.endGame == false) {


			//NINGUNA RUEDA TOCA SUELO
			if (isHitFR == false && isHitFL == false && isHitBR == false && isHitBL == false) {
				time += Time.deltaTime;
				ground = false;
				if (ground == false && time >= 5.0f) {
					volcado = true;
					time = 0.0f;
				}
			}

			//RUEDAS FRONTALES NO TOCAN SUELO
			else if (isHitFR == false && isHitFL == false) {
				time += Time.deltaTime;
				ground = false;
				if (ground == false && time >= 5.0f) {
					volcado = true;
					time = 0.0f;
				}
			}

			//RUEDAS TRASERAS NO TOCAN SUELO
			else if (isHitBR == false && isHitBL == false) {
				time += Time.deltaTime;
				ground = false;
				if (ground == false && time >= 5.0f) {
					volcado = true;
					time = 0.0f;
				}
			}

			//RUEDAS FRONTAL Y TRASERAS DERECHAS
			else if (isHitFR == false && isHitBR == false) {
				time += Time.deltaTime;
				ground = false;
				if (ground == false && time >= 5.0f) {
					volcado = true;
					time = 0.0f;
				}

			//RUEDAS FRONTAL Y TRASERAS IZQUIERDAS
			} else if (isHitFL == false && isHitBL == false) {
				time += Time.deltaTime;
				ground = false;
				if (ground == false && time >= 5.0f) {
					volcado = true;
					time = 0.0f;
				}
			}
	
		
		} 

	}

}
