﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

//SCRIPT PARA CONTROLAR EL MENÚ DE INICIO
public class LoadGame : MonoBehaviour {
	
	public GameObject credits;
	public GameObject help;
	private AudioSource player;
	public AudioClip sound;

	void Awake(){
		credits.SetActive (false);
		help.SetActive (false);
		player = gameObject.GetComponent<AudioSource> ();
	}

		
	//BOTÓN JUGAR
	public void Play(string x){
		SceneManager.LoadScene (x, LoadSceneMode.Single);
		player.clip = sound;
		player.Play ();

	}
		
	//BOTÓN SALIR
	public void Exit(){
		player.Stop ();
		Application.Quit ();
		player.clip = sound;
		player.Play ();
	}

	//BOTÓN CREDITS
	public void Credits(){
		help.SetActive (false);
		credits.SetActive (true);
		player.clip = sound;
		player.Play ();
	}
		
	//BOTÓN BACK (DESDE CRÉDITS)
	public void Back(){
		credits.SetActive (false);
		player.clip = sound;
		player.Play ();
	}

	//BOTÓN BACK (DESDE HELP)
	public void Help(){
		credits.SetActive (false);
		help.SetActive (true);
		player.clip = sound;
		player.Play ();
	}

	//BOTÓN BACK (DESDE HELP)
	public void HBack(){
		help.SetActive (false);
		player.clip = sound;
		player.Play ();
	}



}
