﻿using UnityEngine;
using System.Collections;

public class CenterOfMass : MonoBehaviour {
	private Rigidbody RB;

	void Start(){
		Rigidbody RB = GetComponent<Rigidbody>();
		RB.centerOfMass += transform.up*(-0.5f);


	}

	void OnDrawGizmos() 
	{
		Gizmos.color = Color.green;
		RB = GetComponent<Rigidbody>();	
		Gizmos.DrawCube(RB.transform.position + RB.centerOfMass, Vector3.one*0.1f);
	}

}