﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;


public class CountDown : MonoBehaviour {
	public Text accesibilidad;
	public static bool EndCount=false; // variable global para acceder a ella desde otros scripts
	public GameObject[] numbersCountDown;
	private AudioSource player;
	public AudioClip[] soundCountdown;
	public static bool endGame; 
	public Camera cam0;
	public Camera cam1;
	public GameObject soundGame;
	public GameObject soundEngineCar;



	void Awake() {
		endGame = false;
		player = gameObject.GetComponent<AudioSource> ();
		InitCountDown ();
		for(int i = 0; i < 4; i++){
			numbersCountDown[i].SetActive(false);
		}
	}




	public void InitCountDown (){
		StartCoroutine (StartCountDown ());
	}

	// CUENTA ATRÁS (Acaba a los 8 seg.)
	public IEnumerator StartCountDown(){
		accesibilidad.text=Lollipops.accesibilidad[2];
		player.clip = soundCountdown [3];
		player.Play ();

		//MUESTRA EL NÚMERO 3 CON SU SONIDO
		yield return new WaitForSeconds (4);
		numbersCountDown[3].SetActive(true);
		player.PlayOneShot (soundCountdown [0], 1.0f);
		//Transcripción sonido
		accesibilidad.text=Lollipops.accesibilidad[5];
		//Activa la transparencia negra
		numbersCountDown[4].SetActive(true);

		//MUESTRA EL NÚMERO 2 CON SU SONIDO
		//Activa la transparencia negra
		yield return new WaitForSeconds (1);
		numbersCountDown[3].SetActive(false);
		numbersCountDown[2].SetActive(true);
		player.PlayOneShot (soundCountdown [0], 1.0f);

		//MUESTRA EL NÚMERO 1 CON SU SONIDO
		yield return new WaitForSeconds (1);
		numbersCountDown[2].SetActive(false);
		numbersCountDown[1].SetActive(true);
		player.PlayOneShot (soundCountdown [0], 1.0f);

		//MUESTRA GO CON SU SONIDO
		yield return new WaitForSeconds (1);
		numbersCountDown[1].SetActive(false);
		numbersCountDown[0].SetActive(true);
		player.PlayOneShot (soundCountdown [1], 1.0f);
		accesibilidad.text=Lollipops.accesibilidad[0];
		accesibilidad.text=Lollipops.accesibilidad[6];

		yield return new WaitForSeconds (1);

		EndCount = true;
		//DESACTIVO IMAGEN Y TRANSCRIPCIÓN GO
		numbersCountDown[0].SetActive(false);
		accesibilidad.text=Lollipops.accesibilidad[0];

		//DESACTIVO LA TRANSPARENCIA NEGRA
		numbersCountDown[4].SetActive(false);

		//CAMBIO DE CÁMARA
		cam0.enabled = false;
		cam1.enabled = true;

		//ACTIVAR SONIDO Y TRANSCRIPCIÓN ARRANQUE MOTOR
		player.clip = soundCountdown [2];
		player.Play ();
		accesibilidad.text=Lollipops.accesibilidad[3];

		//ACTIVAR SONIDO Y TRANSCRIPCIÓN MOTOR
		yield return new WaitForSeconds (1);
		soundEngineCar.GetComponent<AudioSource> ().Play ();
		accesibilidad.text=Lollipops.accesibilidad[0];

	
		//ACTIVAR MÚSICA Y TRANSCRIPCIÓN JUEGO
		soundGame.GetComponent<AudioSource> ().Play ();

		yield return new WaitForSeconds (1);
		accesibilidad.text=Lollipops.accesibilidad[4];


		yield return new WaitForSeconds (7);
		accesibilidad.text=Lollipops.accesibilidad[0];
	}

}
